How to install on Hsphere?

Discussion in 'Install/Configuration' started by AusRob, Mar 6, 2009.

  1. AusRob

    AusRob New Member

    Hi,

    We have it running on several Cpanel/WHM machines no issues as their is an auto install script. We've installed it on a hsphere cluster somewhat but PHP never works, users get an error indicating 403.

    This is the error that is generated in the logs

    Some assistance is greatly appreciated. I should mention that all other extensions including .html etc serv fine it's just the .php files that are not served. I've rebuilt php added the fastphp mime type and it's still a no go. Once we have it sorted we can order a 8 license addition.

    Thanks
  2. mistwang

    mistwang LiteSpeed Staff

    Please PM me a temp root access to one of your server, I can take a look.
  3. DataOne

    DataOne New Member

    Hi,

    I'm having the same problem with H-Sphere, did you fix it?

    Can you tell me how?

    Thank you
  4. mistwang

    mistwang LiteSpeed Staff

    Please download and try 4.0.4 with a fresh re-installation. Just change the version number in the download link to get it.
    You can select "Hsphere" from installer. then you need to build your own PHP5 binary.

    If it does not work, we can take a look if you PM me a temp root access.
  5. AusRob

    AusRob New Member

    Nah I didn't I was hoping someone from Litespeed would have released some documentation by now because litespeed works great with cPanel
  6. AusRob

    AusRob New Member


    What do you refer to "build your own php5 binary"?
  7. auser

    auser Super Moderator

  8. DataOne

    DataOne New Member

    I installed 4.0.4 (installation script has a little error, don't let you press 4 for hsphere)

    Now php is working but only with .fastphp extension, I still getting same error message that AusRob got with .php files, both extension are exactly equal in script handler


    auser, I will send you a PM right now
    [edit] I mean mistwang[/edit]

    Thank you for your help
    Last edited: May 28, 2009
  9. mistwang

    mistwang LiteSpeed Staff

    It turns out that hsphere are using mod_marco for certain configuration now, like php, user/group configuration, mod_marco is not supported by LSWS yet. so it causes the trouble.
    It had been added to our to-do list a while ago, but not the highest priority, maybe it will be in 4.2 release.
  10. DataOne

    DataOne New Member

    Thank you for trying.

    I think I can set Hsphere to avoid use mod_macro, but it will take a lot of tweaks, I will try to do it in a test box.
  11. AusRob

    AusRob New Member

    Thanks for your update, hopefully it comes out sooner!

Share This Page